global:
  istio:
    enabled: false

  jaeger:
    enabled: false
    esUrl: https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com:443

  ingress:
    annotations:
      external-dns.alpha.kubernetes.io/alias: "true"
      external-dns.alpha.kubernetes.io/target: dev-aws.zrnwv.zooxlabs.com

  services: # see example here: https://git.zooxlabs.com/zooxco/driving/blob/master/infra/helm/zoox-base/values.yaml#L16
    frontend:
      build:
        dockerfile: mapping/zrn/web_viewer/frontend/Dockerfile
        context: mapping/zrn/web_viewer

      ingress:
        enabled: true
        annotations:
          nginx.ingress.kubernetes.io/proxy-connect-timeout: "1200"
          nginx.ingress.kubernetes.io/proxy-read-timeout: "1200"
          nginx.ingress.kubernetes.io/proxy-send-timeout: "1200"
          nginx.ingress.kubernetes.io/send-timeout: "1200"

      replicaCount: 1

      containerPort: 80

      service:
        type: ClusterIP
        port: 80

      env:
        ZRNWV_BACKEND:
          valueFrom:
            configMapKeyRef:
              key: ZRNWV_BACKEND
              name: env-vars
        ZRNWV_FRONTEND_PORT:
          value: "80"

      livenessProbe:
        exec:
          command:
          - echo
          - "TODO: add liveness probe"
      readinessProbe:
        exec:
          command:
          - echo
          - "TODO: add readiness probe"

      # volumes: [] # uncomment to add host volume mounts to your container
      #  - name: flashblade
      #    hostPath:
      #      type: Directory
      #      path: /mnt/flashblade

      # volumeMounts: []

      resources: {}
        # We usually recommend not to specify default resources and to leave this as a conscious
        # choice for the user. This also increases chances charts run on environments with little
        # resources, such as Minikube. If you do want to specify resources, uncomment the following
        # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
        # limits:
        #  cpu: 100m
        #  memory: 128Mi
        #  nvidia.com/gpu: 1 # should only be in `limits`
        # requests:
        #  cpu: 32000m
        #  memory: 16Gi

      # ingress:
      #   enabled: false

      # nodeSelector: {}

      # tolerations: []

      # affinity: {}

      # serviceMonitor:
      #   enabled: false
      #   port: metrics
      #   path: /metrics

    backend:
      build:
        type: bazel
        context: mapping/zrn/web_viewer
        target: "//mapping/zrn/web_viewer/backend:push_backend_image"

      ingress:
        enabled: true
        tlsDisabled: true

      replicaCount: 1

      containerPort: 8081

      service:
        type: ClusterIP
        port: 8081

      env:
        REDIS_HOST:
          value: redis-headless
        REDIS_PORT:
          value: "6379"
        PYTHONUNBUFFERED:
          value: "0"

      livenessProbe:
        exec:
          command:
          - echo
          - "TODO: add liveness probe"
      readinessProbe:
        exec:
          command:
          - echo
          - "TODO: add readiness probe"

      # volumes: [] # uncomment to add host volume mounts to your container
      #  - name: flashblade
      #    hostPath:
      #      type: Directory
      #      path: /mnt/flashblade

      # volumeMounts: []

      resources:
        # We usually recommend not to specify default resources and to leave this as a conscious
        # choice for the user. This also increases chances charts run on environments with little
        # resources, such as Minikube. If you do want to specify resources, uncomment the following
        # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
        # limits:
        #  cpu: 100m
        #  memory: 128Mi
        #  nvidia.com/gpu: 1 # should only be in `limits`
        requests:
         cpu: 16
         memory: 60Gi

      # ingress:
      #   enabled: false

      # nodeSelector: {}

      # tolerations:
      # - key: "m5dmetal"
      #   operator: "Exists"
      #   effect: "NoSchedule"
      # nodeSelector:
      #   alpha.eksctl.io/nodegroup-name: m5dmetal

      # affinity: {}

      # serviceMonitor:
      #   enabled: false
      #   port: metrics
      #   path: /metrics


zoox-base:
  enabled: true

ci-pipeline:
  enabled: false

redis:
  enabled: true
  cluster:
    enabled: false

  nameOverride: redis
  fullnameOverride: redis

  usePassword: false

  # The default is to disable flushall and flushdb, but we want to be able to use those
  master:
    disableCommands: []
